FAST ESP cross-site scripting vulnerability


FAST ESP, an enterprise search platform from Microsoft, contains a cross-site scripting vulnerability.

FAST ESP from Microsoft is a software that enables users to consolidate information for searching purposes. FAST ESP's management interface contains a cross-site scripting vulnerability.

Kentaro OHSHIMA of Renesas Technology reported this vulnerability to IPA.
JPCERT/CC coordinated with the vendor under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 2.6 (Low) [IPA Score]
  • Access Vector: Network
  • Access Complexity: High
  • Authentication: None
  • Confidentiality Impact: None
  • Integrity Impact: Partial
  • Availability Impact: None

Affected Products

Microsoft Corporation
  • FAST ESP 5.1.5 and earlier


An arbitrary script may be executed on the user's web browser.

[Update the Software]
An update is being provided by the vendor. Contact customer support to obtain the latest version and update the software.
Vendor Information

Microsoft Corporation
CWE (What is CWE?)

  1. Cross-site Scripting(CWE-79) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2009-5092

  1. JVN : JVN#45184501
  2. National Vulnerability Database (NVD) : CVE-2009-5092
  3. JVN iPedia (Japanese) : JVNDB-2009-000009
Revision History

  Web page published